LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   errors installing ati drivers (http://www.linuxquestions.org/questions/slackware-14/errors-installing-ati-drivers-4175430464/)

darkstar61 10-04-2012 06:51 AM

errors installing ati drivers
 
hi

i have just installed 14_64 on my hp dv6-1305sl that comes with a radeon hd 4530

following the post-install guide in the docs wiki was able to add user and install a working generic kernel

next i downloaded the catalyst-12.8 and when i tried the automatic install get this error log

Quote:

Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Unloading radeon module...
Error: Module radeon is in use
Unloading drm module...
Error: Module drm is in use by: drm_kms_helper ttm radeon
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.2.29/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-3.2.29'
CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl.o
CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
Building modules, stage 2.
MODPOST 1 modules
CC /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-3.2.29'
build succeeded with return value 0
duplicating results into driver repository...
done.
You must change your working directory to /lib/modules/fglrx
and then call ./make_install.sh in order to install the built module.
- recreating module dependency list
- trying a sample load of the kernel modules
failed.
[Error] Kernel Module : Reboot required.
[Reboot] Kernel Module : mkinitrd

rebooting leave me in a console without fb (i guess)

someone else had this problem?

thnx and apologies for my rustic english

TobiSGD 10-04-2012 06:59 AM

Catalyst 12.8 does not support your card anymore. Remove the driver with using the installer with the --uninstall option. Then download the Catalyst 12.6 legacy version from here and install that.

darkstar61 10-04-2012 07:49 AM

Quote:

Originally Posted by TobiSGD (Post 4796979)
Catalyst 12.8 does not support your card anymore. Remove the driver with using the installer with the --uninstall option. Then download the Catalyst 12.6 legacy version from here and install that.

tnhx a lot for the reply

uninstalled 12.8 and (after rebooting) installed the 12.6 legacy

all ok (no errors) but rebooting the system drove me to a kernel panic > not syncing: VFS: unable to mount root fs... (i guess this have to do with initrd)

i made an entry for huge in lilo, so i can boot (again in the non-fb console...

and then?

thnx again

TobiSGD 10-04-2012 08:21 AM

You don't have to change anything in the initrd to get the AMD driver working. Just create an initrd as usual.
After you have installed the driver don't forget to run
Code:

aticonfig --initial
to create a working xorg.conf.
Now it should work.

darkstar61 10-04-2012 09:44 AM

Quote:

Originally Posted by TobiSGD (Post 4797048)
You don't have to change anything in the initrd to get the AMD driver working. Just create an initrd as usual.

thnx a lot again, that worked, i can boot with the generics again after mkinitrd-ing...

i just jumped in the new xfce and
Quote:

bash-4.2$ fgl_glxgears
Using GLX_SGIX_pbuffer
5558 frames in 5.0 seconds = 1111.600 FPS
6145 frames in 5.0 seconds = 1229.000 FPS
6131 frames in 5.0 seconds = 1226.200 FPS
just two questions

- booting the generic drive me to the non-fb console, how i can return to the fb console?

- the http://docs.slackware.com/howtos:har...aphics_drivers doesn t mention the makeinitrd thing, is this an issue that happens allways you installs the ati proprietary drivers?

thnx

TobiSGD 10-04-2012 09:54 AM

Quote:

Originally Posted by darkstar61 (Post 4797148)

- booting the generic drive me to the non-fb console, how i can return to the fb console?

The AMD driver does not support KMS, so you won't get a framebuffer console

Quote:

- the http://docs.slackware.com/howtos:har...aphics_drivers doesn t mention the makeinitrd thing, is this an issue that happens allways you installs the ati proprietary drivers?
No, this never happened to me.

darkstar61 10-04-2012 10:35 AM

Quote:

Originally Posted by TobiSGD (Post 4797156)
The AMD driver does not support KMS, so you won't get a framebuffer console

No, this never happened to me.

ok

thnx for the help

hotchili 10-04-2012 07:25 PM

Quote:

Originally Posted by darkstar61 (Post 4797013)
all ok (no errors) but rebooting the system drove me to a kernel panic > not syncing: VFS: unable to mount root fs... (i guess this have to do with initrd)

This always happens to me, at some point the amd installer calls mkinitrd and breaks my initrd.gz :(
So you are not alone, now I always backup my initrd.gz first...


All times are GMT -5. The time now is 06:29 PM.